// packageH/region/region_agency/region_agentcy.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    nickname: "",
    avatar_image: "",
    agent_count: "",
    grand_amount: "",
    page: 1,
    isLoadMore: false,
    last_page: 1,
    list: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData()
  },
  getData() {
    app._postNetWork({
      url: app.getNetAddresss('plugin.area-merchant.frontend.modules.bonus.controllers.records.index'),
      success:(res)=> {
        console.log(res)
        let {nickname,avatar_image,agent_count,grand_amount,page_list} = res.data.data;
        if (res.data.result == 1) {
          this.setData({
            nickname,
            avatar_image,
            agent_count,
            grand_amount,
            last_page: page_list.last_page,
            list: page_list.data
          })
        }
      },
      fail(err) {
        console.log(err)
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    this.getMoreData()
  },
  getMoreData(){
    let page = this.data.page + 1;
    app._postNetWork({
      url: app.getNetAddresss('plugin.area-merchant.frontend.modules.bonus.controllers.records.index'),
      data:{page},
      success:(res)=> {
        let {page_list} = res.data.data;
        if (res.data.result == 1) {
          let list = this.data.list.concat(page_list.data);
          this.setData({
            page,
            last_page: page_list.last_page,
            list
          })
        }
      },
      fail(err) {
        console.log(err)
      }
    })
  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})